phing

# Class: Target Source Location: /Target.php
### Class Overview
The Target component. Carries all required target data. Implements the abstract class TaskContainer #### Author(s): Andreas Aderhold <andi@binarycloud.com> #### Version: $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $ #### Copyright: � 2001,2002 THYRELL. All rights reserved Implements interfaces: TaskContainer | ### Methods addDataType addDependency addTask getDependencies getDescription getName getProject getTasks main performTasks setDepends setDescription setIf setName setProject setUnless toString
### Class Details [line 36] The Target component. Carries all required target data. Implements the abstract class TaskContainer #### Tags:
author: | Andreas Aderhold <andi@binarycloud.com>
version: | $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $
copyright: | � 2001,2002 THYRELL. All rights reserved
see: | TaskContainer
access: | public
[ Top ] ### Class Methods ### method addDataType [line 151]
`void addDataType( object The $rtc)`
Adds a runtime configurable element to the list of this targets child elements. #### Tags:
access: | public
#### Parameters:
object The | $rtc | RuntimeConfigurabel object
[ Top ] ### method addDependency [line 102]
`void addDependency( string $dependency)`
Adds a singular dependent target name to the list #### Tags:
access: | public
#### Parameters:
string | $dependency | The dependency target to add
[ Top ] ### method addTask [line 140]
`void addTask( Task $task)`
Adds a task element to the list of this targets child elements #### Tags:
access: | public
Implementation of: TaskContainer::addTask() Adds a task to this task container. Must be implemented by derived class #### Parameters:
object The | $task | task object to add
[ Top ] ### method getDependencies [line 111]
`array getDependencies( )`
Returns reference to indexed array of the dependencies this target has. #### Tags:
return: | Referece to target dependencoes
access: | public
[ Top ] ### method getDescription [line 216]
`string getDescription( )`
Returns the description of this target. #### Tags:
return: | The description text of this target
access: | public
[ Top ] ### method getName [line 130]
`string getName( )`
Returns name of this target. #### Tags:
return: | The name of the target
access: | public
[ Top ] ### method getProject [line 73]
`Project getProject( )`
Returns reference to current project #### Tags:
return: | Reference to current porject object
access: | public
[ Top ] ### method getTasks [line 163]
`array getTasks( )`
Returns an array of all tasks this target has as childrens. The task objects are copied here. Don't use this method to modify task objects. #### Tags:
return: | Task[]
access: | public
[ Top ] ### method main [line 235]
`void main( )`
The entry point for this class. Does some checking, then processes and performs the tasks for this target. #### Tags:
access: | public
[ Top ] ### method performTasks [line 260]
`void performTasks( )`
Performs the tasks by calling the main method of this target that actually executes the tasks. This method is for ZE2 and used for proper exception handling of task exceptions. #### Tags:
access: | public
[ Top ] ### method setDepends [line 84]
`void setDepends( string $depends)`
Sets the target dependencies from xml #### Tags:
throws: | BuildException
access: | public
#### Parameters:
string | $depends | Comma separated list of targetnames that depend on this target
[ Top ] ### method setDescription [line 203]
`void setDescription( string $description)`
Sets a textual description of this target. #### Tags:
access: | public
#### Parameters:
string | $description | The description text
[ Top ] ### method setIf [line 182]
`void setIf( string $property)`
Set the if-condition from the XML tag, if any. The property name given as parameter must be present so the if condition evaluates to true #### Tags:
access: | public
#### Parameters:
string | $property | The property name that has to be present
[ Top ] ### method setName [line 120]
`void setName( string $name)`
Sets the name of the target #### Tags:
access: | public
#### Parameters:
string | $name | Name of this target
[ Top ] ### method setProject [line 64]
`void setProject( Project $project)`
References the project to the current component. #### Tags:
access: | public
#### Parameters:
Project | $project | The reference to the current project
[ Top ] ### method setUnless [line 194]
`void setUnless( string $property)`
Set the unless-condition from the XML tag, if any. The property name given as parameter must be present so the unless condition evaluates to true #### Tags:
access: | public
#### Parameters:
string | $property | The property name that has to be present
[ Top ] ### method toString [line 226]
`string toString( )`
Returns a string representation of this target. In our case it simply returns the target name field #### Tags:
return: | The string representation of this target
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:11 +0200 by phpDocumentor 1.4.3